Subject: Re: [PATCH 03/11] vcs-svn: Read the preimage while applying deltas

From: Jonathan Nieder <[email-masked]>
Date: Thu, 14 Oct 2010 18:40:08 -0500

Sam Vilain wrote:

> All I did was make the module lazy - version 0.02 was by 唐鳳, any
> detailed knowledge I had of the binary format fell out of my head pretty
> quickly :-)

Ah, my bad.  唐鳳, as part of an attempt to natively support fetching
from and pushing to svn repositories, some contributors to the git
project are working on an svndiff0 applier.  If you're interested in
reliving old memories, please feel free to look it over (especially
the test cases).  Thoughts, simplifications, bug reports, improvements
welcome.

http://thread.gmane.org/gmane.comp.version-control.git/151086/focus=158913

Anyone wanting to try it can check out

	git://repo.or.cz/git/jrn.git svn-da

and use the test-svn-fe command:

	make test-svn-fe
	./test-svn-fe -d <preimage> <delta> <delta length>

or the tests:

	make
	cd t && sh t9011-svn-da.sh -v -i

The preimage or delta argument can be /dev/stdin for use in a pipeline.

Thanks for your work on svk and pugs!
Jonathan